> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Custody Investment

> Despite its name, lists the org's warrants with recipient and linked custody wallets (same query as warrant op).

Required scope: `wallets:read`

## OpenAPI

````yaml api-reference/openapi.json GET /tga/get-all-custody-investment
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-all-custody-investment:
    get:
      operationId: getAllCustodyInvestment
      summary: Get All Custody Investment
      x-toku-required-scope: wallets:read
      description: >-
        Despite its name, lists the org's warrants with recipient and linked
        custody wallets (same query as warrant op).


        Required scope: `wallets:read`
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAllCustodyInvestmentResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetAllCustodyInvestmentResponse:
      type: array
      items:
        type: object
        properties:
          investmentName:
            type:
              - string
              - 'null'
          investmentID:
            type:
              - string
              - 'null'
          roleInOrgID:
            type:
              - string
              - 'null'
          personName:
            type:
              - string
              - 'null'
          linkedCustodyWallets:
            type:
              - string
              - 'null'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
